com.sun.messaging

## Class QueueConnectionFactory

- java.lang.Object
- - com.sun.messaging.AdministeredObject
  - - com.sun.messaging.BasicConnectionFactory
    - - com.sun.messaging.ConnectionFactory
      - - com.sun.messaging.QueueConnectionFactory

- All Implemented Interfaces:
    Serializable, ConnectionFactory, QueueConnectionFactory, Referenceable

      public class QueueConnectionFactory
      extends ConnectionFactory
      implements QueueConnectionFactory

  A `QueueConnectionFactory` is used to create QueueConnections with the Sun MQ Java Message Service (JMS) Point-to-Point (PTP) provider.
  See Also:
    `javax.jms.QueueConnectionFactory`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sun.messaging.AdministeredObject

      `AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, cachedConfigurationMap, configuration, configurationLabels, configurationTypes, cr, storedVersion, VERSION`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `QueueConnectionFactory()` Constructs a QueueConnectionFactory with the default configuration.
    `protected` | `QueueConnectionFactory(String defaultsBase)` Constructs a QueueConnectionFactory with the specified configuration.

  - ### Method Summary

    - ### Methods inherited from class com.sun.messaging.ConnectionFactory

      `createQueueConnection, createQueueConnection, createTopicConnection, createTopicConnection, getReference`

    - ### Methods inherited from class com.sun.messaging.BasicConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext, getConnectionType, getContainerType, setConnectionType, setDefaultConfiguration, toString`

    - ### Methods inherited from class com.sun.messaging.AdministeredObject

      `dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperty, setReadOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.QueueConnectionFactory

      `createQueueConnection, createQueueConnection`

    - ### Methods inherited from interface javax.jms.ConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext`

- - ### Constructor Detail

    - #### QueueConnectionFactory

          public QueueConnectionFactory()

      Constructs a QueueConnectionFactory with the default configuration.

    - #### QueueConnectionFactory

          protected QueueConnectionFactory(String defaultsBase)

      Constructs a QueueConnectionFactory with the specified configuration.

Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.